# SendMsgFromFile

### int SendMsgFromFile(string sFilePath)

SaveMsgToFile 함수를 이용하여 저장해둔 메시지를 불러와 다시 전송하는 함수.

Parameters

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">sFilePath</td><td valign="top">string</td><td valign="top">전송하고자 하는 메시지 파일</td></tr></tbody></table>

```csharp
// 1.보낼파일 지정
string strFilePath = @"D:\Logs\MsgDump_S1F3.txt";

// 2. SendMsgFromFile 호출
int nResult = m_gem.SendMsgFromFile(strFilePath);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-1/sendmsgfromfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
